import  lucidio.*;


public class DataProvider {
	private LucidControlRT4 rt4;
	

	public boolean connect(String portName) {
		boolean ret = true;
		
		try {
			rt4.setPortName(portName);
			ret = rt4.open();
		}
		catch (Exception e)
		{
			System.out.printf(e.getMessage());
			ret = false;
		}
		return ret;
	}
	
	public boolean disconnect() {
		boolean ret = true;
		
		try {
			rt4.close();
		}
		catch (Exception e) {
			System.out.printf(e.getMessage());
			ret = false;
		}
		return ret;
	}
	
	public boolean getTemperatures(double temps[]) {
		boolean ret = true;
		IoReturn ioRet;
		
		ValueTMS4 values[] = new ValueTMS4[4];
		boolean channels[] = new boolean[4];
		channels[0] = channels[1] = channels[2] = channels[3] = true;
		
		try	{
			ioRet = rt4.getIoGroup(channels, values);
		}
		catch (Exception e)	{
			System.out.printf(e.getMessage());
			ret = false;
			return ret;
		}
		
		if (ioRet == IoReturn.IO_RETURN_OK)
		{
			for (int i = 0; i < 4; i++)
			{
				temps[i] = values[i].getTemperature();
			}
		}
		return ret;
	}
	
	
	public DataProvider(String portName) {
		rt4 = new LucidControlRT4(portName);
	}
	
}
